Send an email message from Contour

POST /rapid/sendemail

❗️

This documentation is no longer supported

For the latest information on our API, see Getting Started with the RedEye API

RAPID

Send an email message from Contour

Send a campaign schedule from Contour to multiple recipients using JSON. Emails can be sent in a batch to a maximum of 10,000 recipients. During a RAPID sendemail request, the RAPID service checks the email permit of a recipient (person), updates existing records in the Person table, inserts new records for a new person in the Person table and tracks email performance data.

Prerequisites

Before you can use this service you need to make sure that you've completed the following tasks:

  • Created a schedule in Contour
  • Received the relevant credentials from your RedEye account manager
  • Allowed no more than 240 merges in a schedule
🚧

If the same recipient is included in the API call, any parameter updates will take the values off the first entry of that recipient

🚧

Person aliases are not supported

📘

Note: Duplicate batch_ids are ignored. Duplicate recipients in the same API call is allowed.

URL: https://api.redeye.com/[client_id]/rapid/sendemail/

Body Sample

{  
  "schedule": "string",  
  "batch_id": 0,  
  "recipients": [  
    {  
      "email": "string",  
      "firstname": "string",  
      "titlelastname": "string",  
      "ordernumber": 0  
    }  
  ]  
}

Body Schema

{} RapidBody
Schedule string : The name of the schedule to send.
Batch_id integer: A unique reference number. By default, a reference number is automatically generated if one is not provided. If you specify your own batch ID it must be unique, for example, a non-decimal integer value such as a microtime. In this instance, 100 bytes of disk space is reserved to store the batch ID in the database. If you want to save the batch ID that is returned in the call response, you need to reserve this amount of space for each batch ID. If a duplicate batch ID is detected, subsequent requests using the same batch ID are not processed.
Recipientsarray: The number of optional person fields and parameters that can be used per recipient has a maximum limit. This is configured by your RedEye Account Manager.
{} RecipientFields
Emailstring: A person's email address. Currently this is limited to a maximum of 10,000 recipients. This data is stored in the database.
Firstnamestring: A person's first name. Merge data for the message content. This data is stored in the database.
Titlelastname string: A person's surname. Merge data for the message content. This data is stored in the database.
Ordernumberinteger: Customer order number. Merge data for the message content. This data is stored in the database.

Response Sample

{  
  "status": "string",  
  "batch_id": "string",  
  "token": "string"  
}

Response Schema

{} RapidSuccess
Statusstring: A message describing the overall status of the call. A status of 'OK' is recorded as acceptance of the API request and not the receipt of the email.
Batch_id string: Returns the automatically generated or user defined batch ID that was specified in the call.
Token string: Use this token in a RAPID getstatus call to identify and retrieve information about the specific RAPID call that was transmitted.